## opencollada 0.1.0~20140703.ddf8f47+dfsg1

=== debian/changelog ===
opencollada (0.1.0~20140703.ddf8f47+dfsg1-2) unstable; urgency=medium

  * rebuild with gcc 5

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Aug 2015 12:25:21 +0200

opencollada (0.1.0~20140703.ddf8f47+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #694932)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 14 May 2015 17:23:27 +0200
