=== debian/control ===
Source: opencollada
Section: libs
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>, Rene Engelhard <rene@debian.org>
Build-Depends:
 autotools-dev,
 cmake,
 debhelper (>= 9),
 libpcre3-dev,
 libxml2-dev
Standards-Version: 3.9.6
Homepage: http://www.opencollada.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/opencollada.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/opencollada.git

Package: opencollada-dev
Section: libdevel
Architecture: any
Depends:
 libpcre3-dev,
 libxml2-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Stream based reader and writer library for COLLADA files (development files)
 OpenCOLLADA is a project dedicated to join efforts using COLLADA within
 various DCC tools like 3ds Max, Maya, Blender and a fast SDK for reading
 and writing COLLADA files.
 .
 This package contains the static library and headers used to build programs
 that use OpenCOLLADA.

Package: opencollada-tools
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Command line tool for validating COLLADA files
 OpenCOLLADA is a project dedicated to join efforts using COLLADA within
 various DCC tools like 3ds Max, Maya, Blender and a fast SDK for reading
 and writing COLLADA files.
 .
 This package contains an OpenCOLLADA based validator for COLLADA files.
