=== debian/rules ===
#!/usr/bin/make -f
export REPACK_SH=$(CURDIR)/debian/repack.sh

BLDDIR = debian/cmake

%:
	dh $@ -Scmake -B$(BLDDIR) --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_SKIP_RPATH=ON
