## opencollada 0.1.0~20160714.0ec5063%2Bdfsg1

=== debian/changelog ===
opencollada (0.1.0~20160714.0ec5063+dfsg1-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - narrowing_conversion.diff added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 05 Aug 2016 16:52:07 +0200

opencollada (0.1.0~20160714.0ec5063+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot release
    - debian/patches/: patchset updated
      - mips-build-workaround.diff dropped (applied upstream)
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 04 Aug 2016 16:08:24 +0200

opencollada (0.1.0~20140703.ddf8f47+dfsg1-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - mips-build-workaround.diff added (Closes: #794276)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 10 Mar 2016 20:51:04 +0100
