=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  debhelper (>= 9),
  libpcre3-dev,
  libxml2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.opencollada.org/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/opencollada.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/opencollada.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/opencollada.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/opencollada.git
 
 Package: opencollada-dev
 Section: libdevel
