=== Externals/lib3ds/examples/CMakeLists.txt ===
add_subdirectory(3ds2obj)
add_subdirectory(3dsdump)
add_subdirectory(cube)
add_subdirectory(3dsplay)
