=== debian/changelog ===
opencollada (0.1.0~20160714.0ec5063+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:01:30 +0800
