## opencollada 0.1.0~20180719.619d942%2Bdfsg0

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: opencollada
 Section: libs
-Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>, Rene Engelhard <rene@debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- autotools-dev,
  cmake,
- debhelper (>= 9),
+ debhelper (>= 11),
  libpcre3-dev,
  libxml2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://www.opencollada.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/opencollada.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/opencollada.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/opencollada.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/opencollada
 
 Package: opencollada-dev
 Section: libdevel
